Create child ledger account
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId}/create-child-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Software Consulting",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_number": "4010"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId}/create-child-account"
payload = {
"name": "Software Consulting",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_number": "4010"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Software Consulting',
stable_name: {type: 'StableName', stable_name: 'CURRENT_ASSETS'},
account_number: '4010'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId}/create-child-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
}""""Accounts
Create child ledger account
Creates a child account under the specified parent account. The child inherits account_type, account_subtype, and normality from the parent.
POST
/
v1
/
businesses
/
{businessId}
/
ledger
/
accounts
/
{accountId}
/
create-child-account
Create child ledger account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business
The ID or stable_name of the parent ledger account
Body
application/json
Parameters for creating a child ledger account. The child inherits account_type, account_subtype, and normality from its parent.
Response
The created child ledger account
A single ledger account without nested children
ID of the account
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Name of the account
Example:
"Current Assets"
Account number if configured
Example:
"4000"
Show child attributes
Show child attributes
Available options:
CREDIT, DEBIT Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I